#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 9. General Libraries

- Prev

  libunwind-1.8.3

- Next

  libusb-1.0.29

- Up
- Home

# liburcu-0.15.6

## Introduction to liburcu

The userspace-rcu package provides a set of userspace RCU (read-copy-update) libraries. These data synchronization libraries provide read-side access which scales linearly with the number of cores. It does so by allowing multiples copies of a given data structure to live at the same time, and by monitoring the data structure accesses to detect grace periods after which memory reclamation is possible.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://lttng.org/files/urcu/userspace-rcu-0.15.6.tar.bz2

- Download MD5 sum: 08ad35d135f3797d572bc2aa9129abf5

- Download size: 672 KB

- Estimated disk space required: 26 MB (with tests)

- Estimated build time: 0.3 SBU (with tests)

## Installation of liburcu

Install liburcu by running the following commands:

    ./configure --prefix=/usr    \
                --disable-static \
                --docdir=/usr/share/doc/liburcu-0.15.6 &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install

## Contents

Installed Programs: None
Installed Libraries: liburcu.so, liburcu-bp.so, liburcu-cds.so, liburcu-common.so, liburcu-mb.so, liburcu-memb.so, liburcu-qsbr.so, and liburcu-signal.so
Installed Directories: /usr/include/urcu and /usr/share/doc/liburcu-0.15.6

- Prev

  libunwind-1.8.3

- Next

  libusb-1.0.29

- Up
- Home